import request from '@/utils/request'

// 查询汇报照片审查列表
export function listPhoto(data) {
  return request({
    url: '/sfa/reportPhoto/list',
    method: 'post',
    data: data
  })
}

// 查询汇报照片审查详细
export function getTasks(query) {
  return request({
    url: '/sfa/reportPhoto/getTasks',
    method: 'get',
    params: query
  })
}
export function getPhoto(id) {
  return request({
    url: '/sfa/photo/' + id,
    method: 'get'
  })
}
// 新增汇报照片审查
export function addPhoto(data) {
  return request({
    url: '/sfa/reportPhoto/add',
    method: 'post',
    data: data
  })
}

// 修改汇报照片审查
export function updatePhoto(data) {
  return request({
    url: '/sfa/reportPhoto/udpate',
    method: 'post',
    data: data
  })
}

// 删除汇报照片审查
export function delPhoto(id) {
  return request({
    url: '/sfa/reportPhoto/' + id,
    method: 'delete'
  })
}
